
package org.openxma.dsl.pom;

import org.openxma.dsl.core.injection.InjectorAccess;

import com.google.inject.Injector;

/**
 * Initialization support for running Xtext languages 
 * without equinox extension registry
 */
public class PomDslStandaloneSetup extends PomDslStandaloneSetupGenerated {
	
	private static Injector injector;	

	public static void doSetup() {
		new PomDslStandaloneSetup().createInjectorAndDoEMFRegistration();
	}
	
	public Injector createInjector() {
		if (injector == null) {
			injector = super.createInjector(); 
			InjectorAccess.setInjector(injector);
		}
		return injector;
	}	
}

